#include "api/OceanMathArtAPI.h"
#include <stdio.h>
#define PIXELCOUNT 1024

int main(int argc, char* argv[]) {
    // Do the calculation with values set up without using a spectrometer
    double dark[PIXELCOUNT];
    double reference[PIXELCOUNT];
    double sample[PIXELCOUNT];
    double absorbance[PIXELCOUNT];

    // Use constant dark, reference and sample "spectra"
    for (int pixel = 0; pixel < PIXELCOUNT; ++pixel) {
        dark[pixel] = 200.0;
        reference[pixel] = 12000.0;
        sample[pixel] = 8000.0;
    }

    int error = 0;
    int actualPixels = omapi_calculate_absorbance1(dark, PIXELCOUNT, reference, sample, absorbance, &error);
    if (error != 0) {
        printf("Error result %d in the absorbance calculation\n", error);
    }
    else {
        // The result should also be a constant spectrum so only output the first value
        printf("Absorbance result is %f\n", absorbance[0]);
    }
}