﻿using oceanmathnet.api;
using System;

namespace ArtCSharp
{
    class absorbancesample {
        static void Main(string[] args) {
            // Do the calculation with values set up without using a spectrometer
            int pixelCount = 1024;
            double[] dark = new double[pixelCount];
            double[] reference = new double[pixelCount];
            double[] sample = new double[pixelCount];

            // Use constant dark, reference and sample "spectra"
            for (int pixel = 0; pixel < pixelCount; ++pixel) {
                dark[pixel] = 200.0;
                reference[pixel] = 12000.0;
                sample[pixel] = 8000.0;
            }

            int error = 0;
            double[] absorbance = NetOceanMathArt.calculateAbsorbance(dark, reference, sample, ref error);
            if (error != 0) {
                Console.WriteLine("Error result {0} in the absorbance calculation", error);
            }
            else {
                // The result should also be a constant spectrum so only output the first value
                Console.WriteLine("Absorbance result is {0}", absorbance[0]);
            }
        }
    }
}
